<template>
  <div class="dibs--form--input--with-picto">
    <input
      :id="id"
      v-model="currentValue"
      v-mask="'##.##.####'"
      class="dibs--form--input"
      type="text"
      :placeholder="$t('commons.date_format')"
    />
    <!-- <dibs-picto-calendar class="dibs--form--input--picto" /> -->
  </div>
</template>
<script>
import { mask } from 'vue-the-mask'
export default {
  directives: { mask },
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String],
      default: null,
    },
  },
  data() {
    return {
      currentValue: this.default,
    }
  },
  watch: {
    currentValue(value) {
      this.$emit('input', value)
    },
  },
}
</script>
